.TH DbgCfg 3 "@DATE@" Unix Libraries


.SH NAME

.I DbgCfg
-  Automatic configuration of logging levels for 
.BR DbgLog .


.SH DESCRIPTION

.R The
.B DbgCfg
library provides a single call,
.BR DbgCfg_init (),
that configures the logging levels used by
.BR DbgLog .


.SH PROGRAMMING INTERFACE

.R The synopsis of the function
.B DbgCfg_init
is:

.BI "#include " "<DbgLog.h>"

.I void
.B DbgCfg_init
.R (
.I void
.R ) ;

.R Calling this function (near the start of your program) will try to configure
the logging levels in
.BR DbgLog ,
according to the directives in a properties file, named as the content of the environment variable
.IR DBGCFG_PROPFILE ,
or
.I "dbgcfg.properties"
if this variable is not defined.

This file will first be searched for in the paths defined by the
.I DBGCFG_PATH
environment variable, then the executable's parent directory, and finally the
current directory. If none of these paths contain a suitable properties file, no
configuration is done.




.sp

.SH DOWNLOAD
The latest version of DbgLog can be obtained at 
.P
.I	http://www.varkhan.net/software/DbgLog  


.SH AUTHOR
.B	Author	:
.I	Yann LANDRIN-SCHWEITZER
, a.k.a.
.I	Varkhan
.P
.B	Contact	:
.I	varkhan@varkhan.net
.P
.B	Homepage	:
.I	http://www.varkhan.net/


.SH LICENSE

This library is free software;  you can redistribute it and/or modify it 
under  the terms of the  GNU Lesser General Public License  as published 
by the  Free Software Foundation;  either version 2.1 of the License, or 
(at your option) any later version. 

This  library  is  distributed  in  the hope that it will be useful, but 
WITHOUT   ANY   WARRANTY;   without   even   the   implied  warranty  of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser 
General Public License for more details. 

You should have received a copy of the GNU Lesser General Public License 
along with this library;  if not, write to the Free Software Foundation, 
Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 

.SH SEE ALSO
.B DbgLog(3), DbgCfg(5)

