<?php

################################################################################
###                                                                          ###
###                    Website Administration System in PHP                  ###
###                   Skin handler and Sub-Windows generator                 ###
###                                                                          ###
###                           (c)  Varkhan 2000-2006                         ###
###                            varkhan@varkhan.net                           ###
###                                                                          ###
###                                                                          ###
################################################################################

# WasPhp_Twings - Skin handler and Sub-Windows generator
# Copyright (C) 2000-2006 Yann LANDRIN-SCHWEITZER, a.k.a. Varkhan
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# VERSION 1.1.0

$WasPhp_Twings_name = 'WasPhp_Twings.php' ;
$WasPhp_Twings_self = $_SERVER['PHP_SELF'] ;
if(strstr($WasPhp_Twings_self,$WasPhp_Twings_name)==$WasPhp_Twings_name) {
	echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">\n" ;
	echo "\n" ;
	echo "<HTML>\n" ;
	echo "<HEAD>\n" ;
	echo "  <TITLE>Source of ${WasPhp_Twings_name}</TITLE>\n" ;
	echo "</HEAD>\n" ;
	echo "<STYLE TYPE=\"text/css\">\n" ;
	echo "<!--\n" ;
	echo "BODY { color: #404040 ; background: #E6E6FA ; font-family: Helvetica, sans-serif ; font-style: normal ; font-weight: normal ; font-size: 9pt ; }\n" ;
	echo ".Header { font-family: Helvetica, sans-serif ; font-style: normal ; font-weight: bold ; font-size: 14pt ; color: #473C8B ; background: #B1B1CC ; border: none ; border-bottom: #202020 2px solid ; padding: 2px ; margin: 0px ; }\n" ;
	echo "!-->\n" ;
	echo "</STYLE>\n" ;
	echo "<BODY>\n" ;
	echo "<DIV CLASS=\"Header\" ALIGN=\"center\">" ;
	echo "Source of ${WasPhp_Twings_name}" ;
	echo "</DIV>\n" ;
	echo "<BR><BR><BR>\n" ;
	echo "<HR NOSHADE SIZE=\"2\"><BR>\n" ;
	highlight_file($WasPhp_Twings_name) ;
	echo "<HR NOSHADE SIZE=\"2\"><BR>\n" ;
	echo "</BODY>\n" ;
	echo "</HTML>\n" ;
}


?>
<?php


################################################################################
###
###   Cascading Style Sheet Generator for named themes
###

function WasPhp_Twings_CSS($stylename=null,$styledefs=null) {
	if(!isset($styledefs)) {
		if(isset($stylename)) {
			$stylevar = $stylename . '_styledefs' ;
		}
		else {
			$stylevar = 'Main_styledefs' ;
		}
		global $$stylevar ;
		if(isset($$stylevar)) $styledefs = $$stylevar ;
	}

	if(!isset($styledefs) || !count($styledefs)) return ;

	$stylehead = '' ;
	if(isset($stylename)) {
		$stylehead = '.'.$stylename.' ' ;
	}

	$css = '' ;
	foreach($styledefs as $class => $attrb) {
		$css .= $stylehead.$class." {\n" ;
		if(is_array($attrb)) {
			foreach($attrb as $att => $val) {
				if(!isset($val)) $val = 'none' ;
				$css .= "\t".$att.": ".$val." ;\n" ;
			}
		}
		elseif(isset($attrb)) {
			$css .= trim($attrb) ;
		}
		$css .= "}\n" ;
	}

	return $css ;
}



################################################################################
###
###   Themable square frame with border
###


function WasPhp_Twings_Frame($text,$width=null,$height=null,$style=null) {
	$frame = '' ;

	if(isset($style)) {
		if($style == '' || !is_scalar($style)) {
			$style = 'WasPhp_Twings' ;
		}
		$frame .= "<DIV CLASS=\"".$style."\">\n" ;
	}

	$frame .= "<TABLE CLASS=\"Frame\" CELLPADDING=\"0\" CELLSPACING=\"0\" BORDER=\"0\"" ;
	if(isset($width)) $frame .= " WIDTH=\"".$width."\"" ;
	if(isset($height)) $frame .= " HEIGHT=\"".$height."\"" ;
	$frame .= ">\n" ;
	$frame .= "  <TR>\n" ;
	$frame .= "    <TD CLASS=\"TLCorner\"></TD>\n" ;
	$frame .= "    <TD CLASS=\"TBorder\"></TD>\n" ;
	$frame .= "    <TD CLASS=\"TRCorner\"></TD>\n" ;
	$frame .= "  </TR>\n" ;
	$frame .= "  <TR>\n" ;
	$frame .= "    <TD CLASS=\"LBorder\"></TD>\n" ;
	$frame .= "    <TD CLASS=\"Insert\" ALIGN=\"left\" VALIGN=\"top\">\n" ;
	$frame .= $text . "\n" ;
	$frame .= "</TD>\n" ;
	$frame .= "    <TD CLASS=\"RBorder\"></TD>\n" ;
	$frame .= "  </TR>\n" ;
	$frame .= "  <TR>\n" ;
	$frame .= "    <TD CLASS=\"BLCorner\"></TD>\n" ;
	$frame .= "    <TD CLASS=\"BBorder\"></TD>\n" ;
	$frame .= "    <TD CLASS=\"BRCorner\"></TD>\n" ;
	$frame .= "  </TR>\n" ;
	$frame .= "</TABLE>\n" ;

	if(isset($style)) {
		$frame .= "</DIV>\n" ;
	}

	return $frame ;
}



################################################################################
###
###   Themable square frame with border and title bar
###


function WasPhp_Twings_Window($title,$text,$width=null,$height=null,$style=null) {
	$window = '' ;

	if(isset($style)) {
		if($style == '' || !is_scalar($style)) {
			$style = 'WasPhp_Twings' ;
		}
		$window .= "<DIV CLASS=\"".$style."\">\n" ;
	}

	$window .= "<TABLE CLASS=\"Window\" CELLPADDING=\"0\" CELLSPACING=\"0\" BORDER=\"0\"" ;
	if(isset($width)) $window .= " WIDTH=\"".$width."\"" ;
	$window .= ">\n" ;
	$window .= "  <TR>\n" ;
	$window .= "    <TD COLSPAN=\"3\" ALIGN=\"left\" VALIGN=\"bottom\">\n" ;
	$window .= "      <TABLE CELLPADDING=\"0\" CELLSPACING=\"0\" BORDER=\"0\"" ;
	$window .= " WIDTH=\"100%\"" ;
	$window .= ">\n" ;
	$window .= "        <TR>\n" ;
	$window .= "          <TD COLSPAN=\"2\" ROWSPAN=\"3\" CLASS=\"TLCorner\">" ;
	$window .= "</TD>\n" ;
	$window .= "          <TD CLASS=\"TBorder\"></TD>\n" ;
	$window .= "          <TD COLSPAN=\"2\" ROWSPAN=\"3\" CLASS=\"TRCorner\"></TD>\n" ;
	$window .= "        </TR>\n" ;
	$window .= "        <TR>\n" ;
	$window .= "          <TD ALIGN=\"left\" VALIGN=\"center\" CLASS=\"Header\">" ;
	$window .= $title ;
	$window .= "</TD>\n" ;
	$window .= "        </TR>\n" ;
	$window .= "        <TR>\n" ;
	$window .= "          <TD CLASS=\"HSeparator\"></TD>\n" ;
	$window .= "        </TR>\n" ;
	$window .= "      </TABLE>\n" ;
	$window .= "    </TD>\n" ;
	$window .= "  </TR>\n" ;
	$window .= "  <TR>\n" ;
	$window .= "    <TD CLASS=\"LBorder\"></TD>\n" ;
	$window .= "    <TD CLASS=\"Insert\" ALIGN=\"left\" VALIGN=\"top\"" ;
	if(isset($height)) $window .= " HEIGHT=\"".$height."\"" ;
	$window .= ">\n" ;
	$window .= $text . "\n" ;
	$window .= "</TD>\n" ;
	$window .= "    <TD CLASS=\"RBorder\"></TD>\n" ;
	$window .= "  </TR>\n" ;
	$window .= "  <TR>\n" ;
	$window .= "    <TD CLASS=\"BLCorner\"></TD>\n" ;
	$window .= "    <TD CLASS=\"BBorder\"></TD>\n" ;
	$window .= "    <TD CLASS=\"BRCorner\"></TD>\n" ;
	$window .= "  </TR>\n" ;
	$window .= "</TABLE>\n" ;

	if(isset($style)) {
		$window .= "</DIV>\n" ;
	}

	return $window ;
}

?>
<?php



################################################################################
###
###   HTML direct output wrappers
###


function WasPhp_Twings_MakeCSS($class=null,$styles=null) {
	echo WasPhp_Twings_CSS($class,$styles) ;
}

function WasPhp_Twings_MakeFrame($text,$width=null,$height=null,$style=null) {
	echo WasPhp_Twings_Frame($text,$width,$height,$style) ;
}

function WasPhp_Twings_MakeWindow($title,$text,$width=null,$height=null,$style=null) {
	echo WasPhp_Twings_Window($title,$text,$width,$height,$style) ;
}

### END
?>
